import tabData from '../data/tab';
export default <LibMixins>{

    provide(){
        return {
            openUserContent:(uid,pid=0,user)=> this.openUserContent(uid,pid,user)
        }
    },

    data(){
      return {
          tabData,
          triggerUserId:0,
          triggerUserPid:0,
          triggerUser:{}
      }
    },

    methods:{

        openUserContent(uid,pid=0,user){
            if (this.triggerUserId !== uid) {
                this.triggerUserId = uid;
            }
            if (this.triggerUserPid !== pid) {
                this.triggerUserPid = pid;
            }

            this.triggerUser = user;
        }

    }

}
